<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.thread-pool.expiration" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="keepalive-time,min-threads"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,thread-pool"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="thread-pool" feature-id="true" default="expiration"/>
        <param name="keepalive-time" nillable="true" stability="default"/>
        <param name="min-threads" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>